package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Fxd;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface FxdMapper {

    int insert(Fxd record);

    int insertSelective(Fxd record);

    int updateByPrimaryKeySelective(Fxd record);

    int updateByPrimaryKey(Fxd record);

    int deleteByPrimaryKey(Fxd record);

    int deleteByIds(Collection<Object> collection);

    //修改语句
    int dyncUpdate(Map<String, Object> dyncMap);

    Fxd selectByPrimaryKey(Fxd record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Fxd> dyncRead(Map<String, Object> dyncMap);

}